From 9862a8bac536981c1c1a74710741fb40db4beac7 Mon Sep 17 00:00:00 2001
From: Alexander Alekhin <alexander.alekhin@itseez.com>
Date: Wed, 23 Sep 2015 12:44:26 +0300
Subject: [PATCH] fix invalid String usage

---
 modules/tracking/src/tldDetector.cpp   |  6 +++---
 modules/ximgproc/samples/live_demo.cpp | 12 ++++++------
 2 files changed, 9 insertions(+), 9 deletions(-)

diff --git opencv_contrib-master/modules/tracking/src/tldDetector.cpp opencv_contrib-master/modules/tracking/src/tldDetector.cpp
index cbb783e..0916092 100644
--- opencv_contrib-master/modules/tracking/src/tldDetector.cpp
+++ opencv_contrib-master/modules/tracking/src/tldDetector.cpp
@@ -122,7 +122,7 @@ namespace cv
 			ocl::Kernel k;
 			ocl::ProgramSource src = ocl::tracking::tldDetector_oclsrc;
 			String error;
-			ocl::Program prog(src, NULL, error);
+			ocl::Program prog(src, String(), error);
 			k.create("NCC", prog);
 			if (k.empty())
 				printf("Kernel create failed!!!\n");
@@ -198,7 +198,7 @@ namespace cv
 			ocl::Kernel k;
 			ocl::ProgramSource src = ocl::tracking::tldDetector_oclsrc;
 			String error;
-			ocl::Program prog(src, NULL, error);
+			ocl::Program prog(src, String(), error);
 			k.create("batchNCC", prog);
 			if (k.empty())
 				printf("Kernel create failed!!!\n");
@@ -355,7 +355,7 @@ namespace cv
 			ocl::Kernel k;
 			ocl::ProgramSource src = ocl::tracking::tldDetector_oclsrc;
 			String error;
-			ocl::Program prog(src, NULL, error);
+			ocl::Program prog(src, String(), error);
 			k.create("NCC", prog);
 			if (k.empty())
 				printf("Kernel create failed!!!\n");
diff --git opencv_contrib-master/modules/ximgproc/samples/live_demo.cpp opencv_contrib-master/modules/ximgproc/samples/live_demo.cpp
index dd5dc1b..8e16de3 100644
--- opencv_contrib-master/modules/ximgproc/samples/live_demo.cpp
+++ opencv_contrib-master/modules/ximgproc/samples/live_demo.cpp
@@ -189,7 +189,7 @@ int main()
     
     //Thread trackbar
     cv::setNumThreads(g_numberOfCPUs); //speedup filtering
-    createTrackbar("Threads", NULL, &g_numberOfCPUs, cv::getNumberOfCPUs(), changeNumberOfCpuCallback);
+    createTrackbar("Threads", String(), &g_numberOfCPUs, cv::getNumberOfCPUs(), changeNumberOfCpuCallback);
 
     //Buttons to choose different modes
     createButton("Mode Details Enhancement", changeModeCallback, (void*)filterDetailEnhancement, QT_RADIOBOX, true);
@@ -199,15 +199,15 @@ int main()
 
     //sliders for Details Enhancement mode
     g_filterOp = filterDetailEnhancement; //set Details Enhancement as default filter
-    createTrackbar("Detail contrast", NULL, &g_contrastBase, 200);
-    createTrackbar("Detail level" , NULL, &g_detailsLevel, 200);
+    createTrackbar("Detail contrast", String(), &g_contrastBase, 200);
+    createTrackbar("Detail level" , String(), &g_detailsLevel, 200);
     
     //sliders for Stylizing mode
-    createTrackbar("Style gamma", NULL, &g_edgesGamma, 300);
+    createTrackbar("Style gamma", String(), &g_edgesGamma, 300);
 
     //sliders for every mode
-    createTrackbar("Sigma Spatial", NULL, &g_sigmaSpatial, 200);
-    createTrackbar("Sigma Color"  , NULL, &g_sigmaColor, 200);
+    createTrackbar("Sigma Spatial", String(), &g_sigmaSpatial, 200);
+    createTrackbar("Sigma Color"  , String(), &g_sigmaColor, 200);
 
     Mat rawFrame, outputFrame;
     Mat srcFrame, processedFrame;
